package com.gic.haoban.manage.web.vo.moment;

import java.io.Serializable ;
import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlan
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 10:27:20
 * @Modify
 * @CopyRight 杭州
 */
public class HaobanQwMomentPlanVO implements Serializable {

	private static final long serialVersionUID = 67027585759300L;

	/**
	 * 活动id
	 */
	private Long planId;
	/**
	 * 名称
	 */
	private String title;
	/**
	 * 描述
	 */
	private String remark;
	/**
	 * 开始时间
	 */
	private java.util.Date beginDate;
	/**
	 * 结束结束
	 */
	private java.util.Date endDate;
	/**
	 * 几天后失效
	 */
	private Integer expireDays;
	/**
	 * 执行方式 0企微1好办小程序
	 */
	private Integer execType;
	/**
	 * 企微id
	 */
	private String wxEnterpriseId;
	/**
	 * 企业id
	 */
	private String enterpriseId;
	/**
	 * 创建人
	 */
	private String creatorId;
	/**
	 * 创建人
	 */
	private String creatorName;
	/**
	 * 1进行中 2终止  0未开始 3 已结束
	 */
	private Integer statusFlag;
	/**
	 * 1立即发布2定时发布
	 */
	private Integer publishType;
	/**
	 * 发布时间
	 */
	private java.util.Date publishTime;
	/**
	 * 0全部导购 1部分导购
	 */
	private Integer planClerkType;
	/**
	 * 总任务数
	 */
	private Integer totalNum;

	/**
	 * 成功下发导购数据
	 */
	private Integer taskClerkNum ;

	/**
	 * 执行任务数
	 */
	private Integer doneNum;

	/**完成率*/
	private Integer execRate;

	/**
	 * 完成率
	 */
	private Double execRateFloat ;
	/**
	 * 终止时间
	 */
	private java.util.Date stopTime;
	/**
	 * 0自主上传 1内容
	 */
	private Integer mediaType;
	/**
	 * 素材json
	 */
	private String mediaInfo;
	/**
	 * 素材回显内容
	 */
	private String mediaInfoShow;
	/**
	 * 创建时间
	 */
	private java.util.Date createTime;
	/**
	 * 更新时间
	 */
	private java.util.Date updateTime;
	/**
	 * 总点赞数
	 */
	private Integer totalLikeCount;
	/**
	 * 总评论数
	 */
	private Integer totalCommentCount;

	/**
	 *  指定导购返回
	 */
	private List<ClerkVO> clerkVOList ;

	public void setExecType(Integer execType) {
		this.execType = execType;
	}

	public void setStatusFlag(Integer statusFlag) {
		this.statusFlag = statusFlag;
	}

	public Integer getExecRate() {
		return execRate;
	}

	public void setExecRate(Integer execRate) {
		this.execRate = execRate;
	}

	public List<ClerkVO> getClerkVOList() {
		return clerkVOList;
	}

	public void setClerkVOList(List<ClerkVO> clerkVOList) {
		this.clerkVOList = clerkVOList;
	}

	public Integer getTaskClerkNum() {
		return taskClerkNum;
	}

	public void setTaskClerkNum(Integer taskClerkNum) {
		this.taskClerkNum = taskClerkNum;
	}

	public Double getExecRateFloat() {
		return execRateFloat;
	}

	public void setExecRateFloat(Double execRateFloat) {
		this.execRateFloat = execRateFloat;
	}

	public Long getPlanId() {
		return planId;
	}

	public void setPlanId(Long planId) {
		this.planId = planId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Integer getExpireDays() {
		return expireDays;
	}

	public void setExpireDays(Integer expireDays) {
		this.expireDays = expireDays;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(String creatorId) {
		this.creatorId = creatorId;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Integer getPublishType() {
		return publishType;
	}

	public void setPublishType(Integer publishType) {
		this.publishType = publishType;
	}

	public Date getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(Date publishTime) {
		this.publishTime = publishTime;
	}

	public Integer getPlanClerkType() {
		return planClerkType;
	}

	public void setPlanClerkType(Integer planClerkType) {
		this.planClerkType = planClerkType;
	}

	public Integer getTotalNum() {
		return totalNum;
	}

	public void setTotalNum(Integer totalNum) {
		this.totalNum = totalNum;
	}

	public Integer getDoneNum() {
		return doneNum;
	}

	public void setDoneNum(Integer doneNum) {
		this.doneNum = doneNum;
	}

	public Date getStopTime() {
		return stopTime;
	}

	public void setStopTime(Date stopTime) {
		this.stopTime = stopTime;
	}

	public Integer getMediaType() {
		return mediaType;
	}

	public void setMediaType(Integer mediaType) {
		this.mediaType = mediaType;
	}

	public String getMediaInfo() {
		return mediaInfo;
	}

	public void setMediaInfo(String mediaInfo) {
		this.mediaInfo = mediaInfo;
	}

	public String getMediaInfoShow() {
		return mediaInfoShow;
	}

	public void setMediaInfoShow(String mediaInfoShow) {
		this.mediaInfoShow = mediaInfoShow;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getTotalLikeCount() {
		return totalLikeCount;
	}

	public void setTotalLikeCount(Integer totalLikeCount) {
		this.totalLikeCount = totalLikeCount;
	}

	public Integer getTotalCommentCount() {
		return totalCommentCount;
	}

	public void setTotalCommentCount(Integer totalCommentCount) {
		this.totalCommentCount = totalCommentCount;
	}

	public Integer getExecType() {
		return execType;
	}

	public Integer getStatusFlag() {
		return statusFlag;
	}
}